Subject: Re: Integrating IXP4xx NPE support in kernel (with IXP4xx accesslibrary)

From: Deepak Saxena <[email-masked]>
Date: Tue, 27 Dec 2005 15:12:28 -0800

On Dec 27 2005, at 10:45, Stefan Roese was caught saying:
> 
> Understood. But a total rewrite of this code is unfortunately not an option, 
> since it's just too much work (without a sponsor).
> 
> > > It most likely is the same code. Currently it's version 2.0. This version
> > > is available under a special Intel license
> > > (http://www.intel.com/design/network/products/npfamily/ixp425swr1.htm)
> > > and under the BSD license (when you bug your Intel contact enough). The
> > > files seem to be the same, only the header with the license is exchanged.
> >
> > I'll take a look a this some more, but is it just the HAL or the whole
> > stack that's open?
> 
> It's the complete ixp400 access library. The file available via the link above 
> is called "IPL_ixp400AccessLibrary-2_0.zip" and the BSD version of it is 
> called "BSD_ixp400AccessLibrary-2_0.zip". Only the license headers seem to be 
> replaced. As I heard the 2.1 version should also be available in the BSD 
> version in december, but I didn't get access to it until now.

If it ss already licensed as BSD minus the advertising clause, just make
your customer happy and integrate it as is into their kernel. There is
no point making a clean version of the library as it will never go
upstream.

~Deepak

-- 
Deepak Saxena - [email-masked] - http://www.plexity.net

A starving child in Africa or you in front of your TV?
Where's the real tragedy?

-------------------------------------------------------------------
List admin: http://lists.arm.linux.org.uk/mailman/listinfo/linux-arm-kernel
FAQ:        http://www.arm.linux.org.uk/mailinglists/faq.php
Etiquette:  http://www.arm.linux.org.uk/mailinglists/etiquette.php